TextWhitespace"/>
          <token type="NameVariable"/>
          <token type="TextWhitespace"/>
          <token type="Punctuation"/>
        </bygroups>
      </rule>
      <rule pattern="(@prefix|PREFIX)(\s+)((?:[a-z][\w-]*)?\:)(\s+)(&lt;[^&lt;&gt;&#34;{}|^`\\\x00-\x20]*&gt;)(\s*)(\.?)">
        <bygroups>
          <token type="Keyword"/>
          <token type="TextWhitespace"/>
          <token type="NameNamespace"/>
          <token type="TextWhitespace"/>
          <token type="NameVariable"/>
          <token type="TextWhitespace"/>
          <token type="Punctuation"/>
        </bygroups>
      </rule>
      <rule pattern="(?&lt;=\s)a(?=\s)">
        <token type="KeywordType"/>
      </rule>
      <rule pattern="(&lt;[^&lt;&gt;&#34;{}|^`\\\x00-\x20]*&gt;)">
        <token type="NameVariable"/>
      </rule>
      <rule pattern="((?:[a-z][\w-]*)?\:)([a-z][\w-]*)">
        <bygroups>
          <token type="NameNamespace"/>
          <token type="NameTag"/>
        </bygroups>
      </rule>
      <rule pattern="#[^\n]+">
        <token type="Comment"/>
      </rule>
      <rule pattern="\b(true|false)\b">
        <token type="Literal"/>
      </rule>
      <rule pattern="[+\-]?\d*\.\d+">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="[+\-]?\d*(:?\.\d+)?E[+\-]?\d+">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="[+\-]?\d+">
        <token type="LiteralNumberInteger"/>
      </rule>
      <rule pattern="[\[\](){}.;,:^]">
        <token type="Punctuation"/>
      </rule>
      <rule pattern="&#34;&#34;&#34;">
        <token type="LiteralString"/>
        <push state="triple-double-quoted-string"/>
      </rule>
      <rule pattern="&#34;">
        <token type="LiteralString"/>
        <push state="single-double-quoted-string"/>
      </rule>
      <rule pattern="&#39;&#39;&#39;">
        <token type="LiteralString"/>
        <push state="triple-single-quoted-string"/>
      </rule>
      <rule pattern="&#39;">
        <token type="LiteralString"/>
        <push state="single-single-quoted-string"/>
      </rule>
    </state>
  </rules>
</lexer>